<div class="flex-grow flex-col h-screen">
  <app-top-bar title="Administration - Crash Qualité/Zones/Update"></app-top-bar>
  <div class="main-div">
    <mat-card class="m-10 mat-elevation-z4 ">
      <mat-card-header>
        <mat-card-title>Formulaire - Modifier une zone</mat-card-title>
      </mat-card-header>
      <mat-card-content>
        <form class="example-form" (ngSubmit)="!zoneForm.invalid && save()" #zoneForm="ngForm">
          <mat-form-field class="example-full-width">
            <mat-label>Nom de la zone</mat-label>
            <input name="zone" minlength="3" [minlength]="3" matInput placeholder="Ex. PRE PROCESS" [(ngModel)]="zoneToUpdate.zone" required>
            <mat-error *ngIf="zoneToUpdate.zone.length <3">Une valeur de minimum 3 caractères est requise</mat-error>
          </mat-form-field>
          <button type="submit" [disabled]="!zoneForm.valid" mat-flat-button color="primary">Ajouter</button>
        </form>
      </mat-card-content>
    </mat-card>
  </div>
</div>

